import argparse


def parse_args() -> argparse.Namespace:
    r"""Parses the command line arguments."""
    parser = argparse.ArgumentParser(description="ExplainingFramework")

    parser.add_argument(
        "--explaining_cfg",
        dest="explaining_cfg_file",
        type=str,
        required=True,
        help="The explaining configuration file path.",
    )
    parser.add_argument(
        "--mark_done",
        action="store_true",
        help="Mark yaml as done after a job has finished.",
    )
    return parser.parse_args()
